spool e:\cocktail\Mangue\import_bx4\xml\element_carrieres.xml
set heading off
set long 1000
set pagesize 0

PROMPT <?xml version="1.0" encoding="iso-8859-1" ?><IMPORT>
PROMPT <ELEMENT_CARRIERES>

SELECT XMLElement("ELEMENT_CARRIERE",
			XMLFOREST(
				I.NO_INDIVIDU "ID_SOURCE",
				EC.NO_SEQ_CARRIERE "CAR_SOURCE",
				NO_SEQ_ELEMENT "EL_SOURCE",
				C_CORPS "C_CORPS",
				C_GRADE "C_GRADE",
				C_ECHELON "C_ECHELON",
				D_EFFET_ELEMENT "D_EFFET_ELEMENT",
				D_FIN_ELEMENT "D_FIN_ELEMENT",
				C_TYPE_ACCES "C_TYPE_ACCES",
				TEM_PROVISOIRE "TEM_PROVISOIRE",
				REP_ANC_ECH_ANNEES "REP_ANC_ECH_ANNEES",
				REP_ANC_ECH_MOIS "REP_ANC_ECH_MOIS",
				REP_ANC_ECH_JOURS "REP_ANC_ECH_JOURS",
				NO_ARRETE_CARRIERE "NO_ARRETE_CARRIERE",
				D_ARRETE_CARRIERE "D_ARRETE_CARRIERE",
				TEM_CONFIRME "TEM_SIGNE",
				D_ANNULATION "D_ANNULATION",
				NO_ARRETE_ANNULATION "NO_ARRETE_ANNULATION",
				TEM_GEST_ETAB "TEM_GEST_ETAB",
				C.C_BAP "C_BAP",
				C.C_SPECIALITE "C_SPECIALITE"))	
   FROM ELEMENT_CARRIERE EC,INDIVIDU I,CARRIERE C, PERSONNEL P, CODE_INSEE CI 
   WHERE I.NO_INDIVIDU = EC.NO_DOSSIER_PERS
   AND EC.NO_DOSSIER_PERS=C.NO_DOSSIER_PERS
   AND C.NO_SEQ_CARRIERE=EC.NO_SEQ_CARRIERE
   AND I.NO_INDIVIDU = P.NO_DOSSIER_PERS
   AND CI.NO_DOSSIER_PERS = P.NO_DOSSIER_PERS
   AND TEM_PROVISOIRE <> 'O'
   AND TEM_CONFIRME <> 'N'
   ;


PROMPT </ELEMENT_CARRIERES>
PROMPT </IMPORT>

spool off